# Initialize a wallet handle token

**POST**

`/v1/wallet/init`

Unlock the wallet and return a wallet handle token that can be used for subsequent operations. These tokens expire periodically and must be renewed. You can `POST` the token to `/v1/wallet/info` to see how much time remains until expiration, and renew it with `/v1/wallet/renew`. When you’re done, you can invalidate the token with `/v1/wallet/release`.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: `application/json`

`APIV1POSTWalletInitRequest` is the request for `POST /v1/wallet/init`

object

- **wallet_id**  
  string

- **wallet_password**  
  string

## Responses

### 200

Response to `POST /v1/wallet/init`

The list of MIME types the operation can produce: `application/json`

`APIV1POSTWalletInitResponse` is the response to `POST /v1/wallet/init`

object

- **error**  
  boolean

- **message**  
  string

- **wallet_handle_token**  
  string
